Skip Menu |
 

This queue is for tickets about the GD CPAN distribution.

Report information
The Basics
Id: 21565
Status: stalled
Priority: 0/
Queue: GD

People
Owner: LDS [...] cpan.org
Requestors: srinivas.vutukuri [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: GD-2.35 is not compiling in the cygwin environment.
Date: Tue, 19 Sep 2006 10:34:07 +0530
To: bug-GD [...] rt.cpan.org
From: "srinivas naga vutukuri" <srinivas.vutukuri [...] gmail.com>
Download (untitled) / with headers
text/plain 4.2k
Dear All, I am trying to install GD-2.35 to get PNG support for the gd-2.0.33library. Compiling in the Cygwin, but end up with compilation errors. Please help me out, to get out of this. best regards, srinivas. ---------------------snip---------------------------------------------------------------- $ perl Makefile.PL NOTICE: This module requires libgd 2.0.28 or higher. If you are using Math::Trig 1.01 or lower, it has a bug that causes a "prerequisite not found" warning to be issued. You may safely ignore this warning. Type perl Makefile.PL -h for command-line option summary Configuring for libgd version 2.0.33. Checking for stray libgd header files...none found. Included Features: GD_XPM GD_JPEG GD_PNG GD_GIF GD_UNCLOSEDPOLY GD_ANIM GIF GD_FTCIRCLE VERSION_33 GD library used from: /usr/local Checking if your kit is complete... Looks good Writing Makefile for GD $ make cp GD/Polyline.pm blib/lib/GD/Polyline.pm cp qd.pl blib/lib/qd.pl cp GD/Image.pm blib/lib/GD/Image.pm cp GD.pm blib/lib/GD.pm AutoSplitting blib/lib/GD.pm (blib/lib/auto/GD) cp GD/Simple.pm blib/lib/GD/Simple.pm cp GD/Polygon.pm blib/lib/GD/Polygon.pm /usr/bin/perl.exe /usr/lib/perl5/5.8/ExtUtils/xsubpp -typemap /usr/lib/perl5/5. 8/ExtUtils/typemap -typemap typemap GD.xs > GD.xsc && mv GD.xsc GD.c gcc -c -I/usr/local/include -DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -pipe - I/usr/local/include -DUSEIMPORTLIB -O3 -DVERSION=\"2.35\" -DXS_VERSION=\" 2.35\ " "-I/usr/lib/perl5/5.8/cygwin/CORE" -DHAVE_JPEG -DHAVE_FT -DHAVE_XPM -DHAVE_G IF -DHAVE_PNG -DHAVE_ANIMGIF -DVERSION_33 -DHAVE_UNCLOSEDPOLY -DHAVE_FTCIRCLE GD .c GD.xs:755: error: parse error before '<<' token GD.xs:773: error: parse error before '}' token GD.xs:773: warning: data definition has no type or storage class GD.xs: In function `bufGetC': GD.xs:787: error: dereferencing pointer to incomplete type GD.xs:787: error: dereferencing pointer to incomplete type GD.xs:789: error: dereferencing pointer to incomplete type GD.xs:789: error: dereferencing pointer to incomplete type GD.xs: In function `bufGetBuf': GD.xs:803: error: dereferencing pointer to incomplete type GD.xs:803: error: dereferencing pointer to incomplete type GD.xs:817: error: dereferencing pointer to incomplete type GD.xs:817: error: dereferencing pointer to incomplete type GD.xs:819: error: dereferencing pointer to incomplete type GD.xs: In function `bufSeek': GD.xs:831: error: dereferencing pointer to incomplete type GD.xs:833: error: dereferencing pointer to incomplete type GD.xs:833: error: dereferencing pointer to incomplete type GD.xs:835: error: dereferencing pointer to incomplete type GD.xs:835: error: dereferencing pointer to incomplete type GD.xs: In function `bufTell': GD.xs:847: error: dereferencing pointer to incomplete type GD.xs: In function `newDynamicCtx': GD.xs:867: error: parse error before ')' token GD.xs:867: error: parse error before ')' token GD.xs:871: error: dereferencing pointer to incomplete type GD.xs:873: error: dereferencing pointer to incomplete type GD.xs:875: error: dereferencing pointer to incomplete type GD.xs:879: error: dereferencing pointer to incomplete type GD.xs:881: error: dereferencing pointer to incomplete type GD.xs:883: error: dereferencing pointer to incomplete type GD.xs:885: error: dereferencing pointer to incomplete type GD.xs:887: error: dereferencing pointer to incomplete type GD.xs:889: error: dereferencing pointer to incomplete type GD.xs:891: error: dereferencing pointer to incomplete type GD.xs: At top level: GD.xs:977: error: parse error before '->' token GD.xs: In function `XS_GD__Image_rotate180': GD.xs:1396: error: parse error before ';' token GD.xs: In function `XS_GD__Image_flipHorizontal': GD.xs:1435: error: parse error before ';' token GD.xs: In function `XS_GD__Image_flipVertical': GD.xs:1453: error: parse error before ';' token GD.xs: In function `XS_GD__Image_stringFT': GD.xs:2181: warning: cast to pointer from integer of different size GD.xs: In function `XS_GD__Font_load': GD.xs:2415: error: parse error before ';' token GD.xs:2422: error: parse error before ';' token GD.xs:2429: error: parse error before ';' token GD.xs:2436: error: parse error before ';' token make: *** [GD.o] Error 1 -------------------------------------snip-------------------------------------------------------------
Download (untitled) / with headers
text/plain 146b
Please remove any stray versions of the gd.h include file; it looks like there might be at least left over from an earlier version of gd. Lincoln
Subject: Re: [rt.cpan.org #21565] GD-2.35 is not compiling in the cygwin environment.
Date: Wed, 20 Sep 2006 10:32:30 +0530
To: bug-GD [...] rt.cpan.org
From: "srinivas naga vutukuri" <srinivas.vutukuri [...] gmail.com>
Download gd.h
text/x-chdr 31.5k

Message body is not shown because sender requested not to inline it.

Download (untitled) / with headers
text/plain 557b
I am using the following gd.h (2.0.33) attached here, which is the very latest version of gd. I just have a question like for GD-2.35 i need to compile with a specific version of gd. If so please provide me the information. Thanks in advance. best regards, srinivas. On 9/19/06, Lincoln_D_Stein via RT <bug-GD@rt.cpan.org> wrote: Show quoted text
> > > <URL: http://rt.cpan.org/Ticket/Display.html?id=21565 > > > Please remove any stray versions of the gd.h include file; it looks like > there might be at least left over from an earlier version of gd. > > Lincoln >
Download (untitled) / with headers
text/plain 101b
I don't see any problem at that line, and GD-2.35, cygwin perl5.8 are long outdated. -- Reini Urban


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.